#!/bin/sh

mkdir -p $HOME/.config/resilio-sync

BTSYNC_STORAGE=$HOME/.config/btsync/storage
RESILIO_STORAGE=$HOME/.config/resilio-sync/storage

CONFIG_PATH=$HOME/.config/resilio-sync/config.json


if [ -d ${BTSYNC_STORAGE} ] && [ ! -d ${RESILIO_STORAGE} ]; then
  # Copy btsync storage folder
  cp -r ${BTSYNC_STORAGE} ${RESILIO_STORAGE}
else
  mkdir -p ${RESILIO_STORAGE}
fi


if [ ! -f ${CONFIG_PATH} ]; then
    sed -e "s|{HOME}|$HOME|g" /etc/resilio-sync/user_config.json > ${CONFIG_PATH}
fi
